<template>
 <div id="ViewCode">
  <div class="login-box shadow-sm mb-5 bg-white rounded">
    <div class="p-5">
      <h5>Código de familia {{this.name}}:</h5>
      <h1>{{this.getCodeFamily}}</h1>
      <div class="mt-4">
        <button @click="UpdateCodeFamily" class="btn btn-primary w-100 btn-md">ABANDONAR</button>
      </div>
    </div>
  </div>
</div>
</template>

<script>
  import { mapState, mapGetters } from 'vuex'
  import { RTDB } from '../main.js';

  export default {
    computed:{
      ...mapGetters(['getCodeFamily']),
    },
    name: 'ViewCode',
    data () {
      return {
        name:"",
      };
    },
    methods:{
      mounted(){
        RTDB.ref('family/'+this.getCodeFamily+'/name').on('value',snapshot=>this.name=(snapshot.val()));
      },
      UpdateCodeFamily(){
        RTDB.ref('usuario/'+this.$store.getters.getId).update({
          family:0

        });
        console.log("Salí de la familia")
        this.$router.push({name:'main'})
      }
    }
  };
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.login-box{
  max-width: 480px;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}

h5, h3 {
  color: #45b5b5;
  font-weight: bold;
}
</style>
